pskc_get_signed_p(3)

NAME
pskc_get_signed_p - API function

SYNOPSIS
#include <pskc.h>

int pskc_get_signed_p(pskc_t * container);

ARGUMENTS

pskc_t * container
    a pskc_t handle, from pskc_init().

DESCRIPTION
Check whether the container is signed or not (note that it does not validate the signature, merely checks whether there is one).

RETURNS
a non-0 value if the container contains a Signature element, 0 if there is no Signature element.

REPORTING BUGS
Report bugs to <oath-toolkit-help@nongnu.org>. libpskc home page: https://oath-toolkit.codeberg.page/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2009-2026 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.